
Redmine - Defect #11214

Related issues in archived projects do not show up for their parent issues

2012-06-20 23:49 - Kevin Wojniak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.4.4

Description

If an issue (child) is related to another issue (parent) and the child issue is within an archived project, the parent issue does not show

the child issue in its "Related issues" section because the child is archived. As a result the parent cannot be closed and it is not clear

why.

There is no way to know what are the related issues unless you unarchive every archived project and refresh the issue page.

The only way I was able to find this out myself was by going back to our original Bugzilla install and look at the original bug to see

what was blocking it.

This could be solved simply by making archived projects read-only (#7364).

Related issues:

Related to Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2012-06-21 09:33 - Etienne Massip

- Category set to Issues

#2 - 2012-07-20 03:02 - Ken W

I would like to be able to set a project as "read-only".

#3 - 2017-07-16 04:03 - Go MAEDA

- Category changed from Issues to Projects

- Status changed from New to Closed

- Resolution set to Fixed

Kevin Wojniak wrote:

This could be solved simply by making archived projects read-only (#7364).

 Now you can make a project read-only by using "close project" feature (#3640, Redmine 2.1.0).

#4 - 2017-07-16 04:03 - Go MAEDA

- Related to Feature #3640: Freeze / Close Projects added
